<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 23</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 0px 10px;
	}		


	</style>
	<script type="text/javascript">
	//crear una función que le pasas 2 arrays del mismo tamaño. devolverá el número de coincidencias en estos
	window.addEventListener("load",function(e){

		let n1 = Math.floor((Math.random() * 10) + 1);
		let arrayUno = new Array(n1);
		let n2 = Math.floor((Math.random() * 10) + 1);
		let arrayDos = new Array(n2);

		for (let i=0; i<arrayUno.length; i++) {

			arrayUno[i] = Math.floor((Math.random() * 10) + 1);
		}

		for (let t=0; t<arrayDos.length; t++) {

			arrayDos[t] = Math.floor((Math.random() * 10) + 1);
		}

		let cuenta = 0;

		for(let c=0; c<arrayUno.length; c++) {

			for(let t=0; t<arrayDos.length; t++) {

			if (arrayUno[c]==arrayDos[t]) {

				cuenta += 1; 
			}
			}
		}

			console.log(arrayUno);
			console.log(arrayDos);

			document.querySelector("#resultado").value = cuenta;

	});


	</script>
</head>
<body>
	<main>
		<input id="resultado" type="text" name="resultado" placeholder="Resultado">
	</main>
</body>
</html>